\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary{3d,angles,arrows.meta,quotes}
\begin{document}
\begin{tikzpicture}

  % magenic field
  \node[blue] at (-3,3) {$\vec{B}$};
  \foreach \x in {-4,-2,0,2,4}
  \foreach \y in {-4,-2,0,2,4}
           {
             \node[blue] at (\x,\y) {$\times$};
           }
  
  % trajectory circle
  \draw[dashed] (0,0) circle [radius=3cm];

  % force and velocity
  \foreach \angle / \index in {0/0,60/1,120/2}
           {
             \begin{scope}[rotate=\angle]
               \draw[densely dashed] (0,0) -- ++(-90:3) coordinate (A) node[below right] {Q} node[below left] {$t_\index$};
               % charge
               \shade[ball color=white] (A) circle (1ex) node {+};
               % velocity
               \draw[-Stealth] (A) -- ++(1.5,0) node [right] {$\vec{v_\index}$};
               % force
               \draw[-Stealth,thick] (A) -- node [left] {$\vec{F_\index}$} ++(90:2) ;
             \end{scope}
           }
           
\end{tikzpicture}
\end{document}
